<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\Hooks;

class PX_NeedToDoEventTypesHooks
{

    function afterRetrieveHook($bean, $event, $arguments)
    {
        $bean->notify_users = $bean->getNotifyUsersNames($bean->notify_users);
    }

    function afterFetchQueryHook($bean, $event, $arguments)
    {
        foreach($arguments['beans'] as $rowBean){
            $rowBean->notify_users = $rowBean->getNotifyUsersNames($rowBean->notify_users);
        }
    }

}