<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\Hooks;

class PX_NeedToDoEventsHooks
{

    function afterRetrieveHook($bean, $event, $arguments)
    {
        $bean->object_name = $bean->getRelatedEntityName($bean->object_type, $bean->object_id);
        $bean->event_status = $bean->populateEventStatus($bean->control_date, $bean->control_date_type);
        $bean->parents_list = $bean->populateParentsList($bean->id, $bean->event_type_id);
    }

    function afterFetchQueryHook($bean, $event, $arguments)
    {
        foreach($arguments['beans'] as $rowBean){
            $rowBean->object_name = $bean->getRelatedEntityName($rowBean->object_type, $rowBean->object_id);
            $rowBean->event_status = $bean->populateEventStatus($rowBean->control_date, $rowBean->control_date_type);
            $rowBean->parents_list = $bean->populateParentsList($rowBean->id, $rowBean->event_type_id);
        }
    }

}