<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

$dictionary['px_ntdv_indexing_stack'] = array(
    'table' => 'px_ntdv_indexing_stack',
    'fields' => array(
        'id' => array(
            'name' => 'id',
            'type' => 'id',
        ),
        'target_module' => array(
            'name' => 'target_module',
            'type' => 'varchar',
            'len' => 255,
        ),
        'target_record_id' => array(
            'name' => 'target_record_id',
            'type' => 'id',
        ),
        'need_to_do_event_type_id' => array(
            'name' => 'need_to_do_event_type_id',
            'type' => 'id',
        ),
        'target_control_date' => array(
            'name' => 'target_control_date',
            'type' => 'datetime',
        ),
        'status' => array(
            'name' => 'status',
            'type' => 'varchar',
            'len' => 50,
        ),
        'date_entered' => array(
            'name' => 'date_entered',
            'type' => 'datetime',
        ),
        'created_by' => array(
            'name' => 'created_by',
            'dbType' => 'id',
        ),
        'description' => array(
            'name' => 'description',
            'type' => 'text',
        ),
    ),
    'indices' => array(
        array(
            'name' => 'px_ntdv_indexing_stack_pk',
            'type' => 'primary',
            'fields' => array('id'),
        ),
        array(
            'name' => 'px_ntdis_status_date_entered',
            'type' => 'index',
            'fields' => array(
                'status',
                'date_entered',
            ),
        ),
        array(
            'name' => 'px_ntdis_date_entered',
            'type' => 'index',
            'fields' => array(
                'date_entered',
            ),
        ),
    ),
    'relationships' => array()
);
