({
    extendsFrom: 'RelateField',

    isOpened: false,

    openSelectDrawer: function() {
        if(this.isOpened) {
            return;
        }

        this.isOpened = true;

        var layout = 'selection-list';
        var context = {
            module: this.getSearchModule(),
            fields: this.getSearchFields(),
            filterOptions: this.getFilterOptions()
        };

        if (!!this.def.isMultiSelect) {
            layout = 'multi-selection-list';
            _.extend(context, {
                preselectedModelIds: _.clone(this.model.get(this.def.id_name)),
                maxSelectedRecords: this._maxSelectedRecords,
                isMultiSelect: true
            });
        }

        app.drawer.open({
            layout: layout,
            context: context
        }, _.bind(this.setValue, this));
    },

    setValue: function(models) {
        this._super('setValue', [models]);
        this.isOpened = false;
    },

})
