({
    extendsFrom: 'RecordView',

    initialize: function(options) {
        this._super('initialize', [options]);
        this.checkCurrentUserLicenseAccess();
    },

    checkCurrentUserLicenseAccess: function(callback){
        var url = app.api.buildURL('PX_NeedToDoEvents', 'license/validate');
        app.api.call('read', url, null, {
            error: _.bind(function (response) {
                app.alert.show("ntdv_license_validation_error", {
                    level: "warning",
                    messages: response.message
                });
            }, this)
        });
    }

})