<?php

$manifest = array(
    'built_in_version' => '13.0.0',
    'acceptable_sugar_versions' => array(
        'regex_matches' => array(
            '13\\.[0-9]\\..+$',
        ),
    ),
    'acceptable_sugar_flavors' => array(
        0 => 'PRO',
        1 => 'CORP',
        2 => 'ENT',
        3 => 'ULT',
    ),
    'readme' => '',
    'key' => '',
    'author' => 'Integros <info@integroscrm.com>',
    'description' => 'Need To Do Viewer Plugin.',
    'icon' => '',
    'is_uninstallable' => true,
    'name' => 'Need To Do Viewer Plugin',
    'published_date' => '2023-06-21 02:49:25',
    'type' => 'module',
    'version' => '1.16.0',
    'remove_tables' => 'prompt',
    'uninstall_before_upgrade' => true,
);

$installdefs = array(
    'id' => 'integros_need_to_do_viewer',
    'copy' => array(
        array (
            'from' => '<basepath>/src/custom/Extension/modules/PX_NeedToDoOutfittersLicense/Ext/ActionViewMap/ntdv-oufitters-license_actionviewmap.php',
            'to' => 'custom/Extension/modules/PX_NeedToDoOutfittersLicense/Ext/ActionViewMap/ntdv-oufitters-license_actionviewmap.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/PX_NeedToDoEventTypes/Ext/LogicHooks/after_fetch_query.php',
            'to' => 'custom/Extension/modules/PX_NeedToDoEventTypes/Ext/LogicHooks/after_fetch_query.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/PX_NeedToDoEventTypes/Ext/LogicHooks/after_retrieve.php',
            'to' => 'custom/Extension/modules/PX_NeedToDoEventTypes/Ext/LogicHooks/after_retrieve.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/PX_NeedToDoEvents/Ext/LogicHooks/after_fetch_query.php',
            'to' => 'custom/Extension/modules/PX_NeedToDoEvents/Ext/LogicHooks/after_fetch_query.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/PX_NeedToDoEvents/Ext/LogicHooks/after_retrieve.php',
            'to' => 'custom/Extension/modules/PX_NeedToDoEvents/Ext/LogicHooks/after_retrieve.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/Administration/Ext/Language/en_us.px-need-to-do-viewer.php',
            'to' => 'custom/Extension/modules/Administration/Ext/Language/en_us.px-need-to-do-viewer.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/Administration/Ext/Administration/menu.px-need-to-do-viewer.php',
            'to' => 'custom/Extension/modules/Administration/Ext/Administration/menu.px-need-to-do-viewer.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/Users/Ext/Vardefs/px_need_to_do_viewer.php',
            'to' => 'custom/Extension/modules/Users/Ext/Vardefs/px_need_to_do_viewer.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/Users/Ext/clients/base/filters/basic/px-need-to-do.php',
            'to' => 'custom/Extension/modules/Users/Ext/clients/base/filters/basic/px-need-to-do.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/Users/Ext/clients/base/filters/default/px-need-to-do.php',
            'to' => 'custom/Extension/modules/Users/Ext/clients/base/filters/default/px-need-to-do.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/modules/Users/Ext/Language/en_us.px_need_to_do_viewer.php',
            'to' => 'custom/Extension/modules/Users/Ext/Language/en_us.px_need_to_do_viewer.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/application/Ext/JSGroupings/px_need_to_do_viewer.jsgroups.php',
            'to' => 'custom/Extension/application/Ext/JSGroupings/px_need_to_do_viewer.jsgroups.php'
        ),
        array (
            'from' => '<basepath>/src/custom/Extension/application/Ext/Language/en_us.px_need_to_do_viewer.php',
            'to' => 'custom/Extension/application/Ext/Language/en_us.px_need_to_do_viewer.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Hooks/PX_NeedToDoEventTypesHooks.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PX_NeedToDoEventTypesHooks.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Hooks/PX_NeedToDoEventsHooks.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PX_NeedToDoEventsHooks.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Hooks/PxNtdvGlobalLogicHooks.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PxNtdvGlobalLogicHooks.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Data/Relationships/NTDVCommentsUsersM2MRelationship.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Data/Relationships/NTDVCommentsUsersM2MRelationship.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/NeedToDoViewerCommentsUsers.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/NeedToDoViewerCommentsUsers.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/ConversationParticipants.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/ConversationParticipants.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/EventsList.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/EventsList.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Entities/Comment.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Entities/Comment.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/SubscribedEvent.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/SubscribedEvent.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/Event.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/Event.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/MentionedPreviouslyEvent.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/MentionedPreviouslyEvent.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/ReplyEvent.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/ReplyEvent.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/ConversationParticipation.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/ConversationParticipation.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/MentionedEvent.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/Events/MentionedEvent.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/NeedToDoViewerCommentNotifier.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/NeedToDoViewerCommentNotifier.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/MessageComposer/language/en_us.templates.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/MessageComposer/language/en_us.templates.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/MessageComposer/MessageTemplate.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/MessageComposer/MessageTemplate.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/MessageComposer/MessageComposer.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/Notification/MessageComposer/MessageComposer.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/SugarUrlGenerator.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoViewerComments/Helpers/SugarUrlGenerator.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/ControlPanel.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/ControlPanel.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/Config/config_params.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/Config/config_params.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/Version/VersionInfo.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/Version/VersionInfo.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Key/public_key.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Key/public_key.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Control.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Control.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Exceptions/InvalidLicenseException.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Exceptions/InvalidLicenseException.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Tokens/initial_demo_token.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Tokens/initial_demo_token.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Config.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Config.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/ValidationFactory.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/ValidationFactory.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/JWS.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/JWS.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Exceptions/InvalidTokenException.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Exceptions/InvalidTokenException.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Exceptions/InvalidKeyException.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Exceptions/InvalidKeyException.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Exceptions/VerificationException.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Exceptions/VerificationException.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/SimpleJWS.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/SimpleJWS.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/ES512.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/ES512.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/RS384.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/RS384.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/HS384.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/HS384.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/ES384.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/ES384.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/ECDSA.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/ECDSA.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/HS512.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/HS512.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/RS512.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/RS512.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/None.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/None.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/RSA.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/RSA.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/PublicKey.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/PublicKey.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/RS256.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/RS256.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/HS256.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/HS256.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/HMAC.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/HMAC.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/ES256.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/OpenSSL/ES256.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SignerInterface.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SignerInterface.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/RS384.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/RS384.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/RS512.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/RS512.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/RSA.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/RSA.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/PublicKey.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/PublicKey.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/RS256.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Signer/SecLib/RS256.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/JWT.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/JWT.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Base64/Encoder.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Base64/Encoder.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Base64/Base64Encoder.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Base64/Base64Encoder.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Base64/Base64UrlSafeEncoder.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/JWT/Namshi/JOSE/Base64/Base64UrlSafeEncoder.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Decryptor.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Decryptor.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Validations/DemoValidation.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Validations/DemoValidation.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Validations/StandardValidation.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Validations/StandardValidation.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Validations/Validation.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Validations/Validation.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/License/Validations/Decorators/ProductValidationDecorator.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/License/Validations/Decorators/ProductValidationDecorator.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Package/Package.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Package/Package.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/helpers/NotifyUsersList.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/helpers/NotifyUsersList.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/helpers/HistoryCleaner.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/helpers/HistoryCleaner.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/helpers/HistoryRefresher.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/helpers/HistoryRefresher.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/img/default_icon.png',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/img/default_icon.png'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/img/broken_image_icon.png',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/img/broken_image_icon.png'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/visibility/NTDVAssignSecurity.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/visibility/NTDVAssignSecurity.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/visibility/NTDVTeamSecurity.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/visibility/NTDVTeamSecurity.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/visibility/NTDVSecurityInheritance.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/visibility/NTDVSecurityInheritance.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/visibility/NTDVSecurity.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/PX_NeedToDoEvents/visibility/NTDVSecurity.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Data/FlowchartTemplateLink.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Data/FlowchartTemplateLink.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Data/Relationships/TLVCommentsUsersM2MRelationship.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Data/Relationships/TLVCommentsUsersM2MRelationship.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Images/default_icon.png',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Images/default_icon.png'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Images/broken_image_icon.png',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Images/broken_image_icon.png'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Include/javascript/notification.js',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Include/javascript/notification.js'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Include/api/NeedToDoRestService.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Include/api/NeedToDoRestService.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Include/utils/NeedToDoEventsLogicHook.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Include/utils/NeedToDoEventsLogicHook.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Helpers/TargetAttributeListFilter.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Helpers/TargetAttributeListFilter.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Helpers/ConversationParticipants.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Helpers/ConversationParticipants.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Helpers/TemplateArgumentsListFilter.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Helpers/TemplateArgumentsListFilter.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Helpers/TargetEntityParentList.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Helpers/TargetEntityParentList.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Helpers/ParentRelatedListRetriever.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Helpers/ParentRelatedListRetriever.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Helpers/TargetModuleListFilter.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Helpers/TargetModuleListFilter.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Indexing/IndexScheduler.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Indexing/IndexScheduler.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Indexing/IndexRelations.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Indexing/IndexRelations.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Indexing/ManualEventTypesCollector.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Indexing/ManualEventTypesCollector.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Indexing/Indexing.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Indexing/Indexing.php'
        ),
        array (
            'from' => '<basepath>/src/custom/PxRoutines/NeedToDoViewer/Indexing/EventTypesCollector.php',
            'to' => 'custom/PxRoutines/NeedToDoViewer/Indexing/EventTypesCollector.php'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/views/px-ntdv-collaboration-dashlet/px-ntdv-collaboration-dashlet.js',
            'to' => 'custom/clients/base/views/px-ntdv-collaboration-dashlet/px-ntdv-collaboration-dashlet.js'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/views/px-ntdv-collaboration-dashlet/px-ntdv-collaboration-dashlet.hbs',
            'to' => 'custom/clients/base/views/px-ntdv-collaboration-dashlet/px-ntdv-collaboration-dashlet.hbs'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/views/px-ntdv-collaboration-dashlet/dialog-history.hbs',
            'to' => 'custom/clients/base/views/px-ntdv-collaboration-dashlet/dialog-history.hbs'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/views/px-ntdv-collaboration-dashlet/px-ntdv-collaboration-dashlet.php',
            'to' => 'custom/clients/base/views/px-ntdv-collaboration-dashlet/px-ntdv-collaboration-dashlet.php'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/views/px-ntdv-collaboration-dashlet/dashlet-config.hbs',
            'to' => 'custom/clients/base/views/px-ntdv-collaboration-dashlet/dashlet-config.hbs'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/views/px-ntdv-collaboration-dashlet/message.hbs',
            'to' => 'custom/clients/base/views/px-ntdv-collaboration-dashlet/message.hbs'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/views/px-ntdv-collaboration-dashlet/dialog-item.hbs',
            'to' => 'custom/clients/base/views/px-ntdv-collaboration-dashlet/dialog-item.hbs'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/views/px-ntdv-collaboration-dashlet/disabled.hbs',
            'to' => 'custom/clients/base/views/px-ntdv-collaboration-dashlet/disabled.hbs'
        ),
        array (
            'from' => '<basepath>/src/custom/clients/base/api/PX_NeedToDoCollaborationApi.php',
            'to' => 'custom/clients/base/api/PX_NeedToDoCollaborationApi.php'
        ),
        array (
            'from' => '<basepath>/src/custom/modules/Users/clients/base/views/px-need-to-do-license-users/px-need-to-do-license-users.php',
            'to' => 'custom/modules/Users/clients/base/views/px-need-to-do-license-users/px-need-to-do-license-users.php'
        ),
        array (
            'from' => '<basepath>/src/custom/modules/Users/clients/base/views/px-need-to-do-license-users/px-need-to-do-license-users.js',
            'to' => 'custom/modules/Users/clients/base/views/px-need-to-do-license-users/px-need-to-do-license-users.js'
        ),
        array (
            'from' => '<basepath>/src/custom/data/visibility/PxNeedToDoLicenseVisibility.php',
            'to' => 'custom/data/visibility/PxNeedToDoLicenseVisibility.php'
        ),
        array (
            'from' => '<basepath>/src/custom/data/acl/SugarACLPxNeedToDoViewer.php',
            'to' => 'custom/data/acl/SugarACLPxNeedToDoViewer.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/license/tpls/license.tpl',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/license/tpls/license.tpl'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/license/language/en_us.lang.php',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/license/language/en_us.lang.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/license/config.php',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/license/config.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/license/lib/jquery-1.7.1.min.js',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/license/lib/jquery-1.7.1.min.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/license/PX_NeedToDoOutfittersLicenseHandlerApi.php',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/license/PX_NeedToDoOutfittersLicenseHandlerApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/license/PX_NeedToDoOutfittersLicenseHandler.php',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/license/PX_NeedToDoOutfittersLicenseHandler.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/PX_NeedToDoOutfittersLicense.php',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/PX_NeedToDoOutfittersLicense.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/views/view.license.php',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/views/view.license.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoOutfittersLicense/outfitterscontroller.php',
            'to' => 'modules/PX_NeedToDoOutfittersLicense/outfitterscontroller.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/SearchFields.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/SearchFields.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/quickcreatedefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/quickcreatedefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/searchdefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/searchdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/editviewdefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/editviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/metafiles.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/metafiles.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/studio.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/studio.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/popupdefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/popupdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/detailviewdefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/detailviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/listviewdefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/listviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/subpanels/default.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/subpanels/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/dependencydefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/dependencydefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/metadata/dashletviewdefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/metadata/dashletviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/language/en_us.lang.php',
            'to' => 'modules/PX_NeedToDoViewerComments/language/en_us.lang.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/PX_NeedToDoViewerComments_sugar.php',
            'to' => 'modules/PX_NeedToDoViewerComments/PX_NeedToDoViewerComments_sugar.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/menus/header/header.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/menus/header/header.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/comments-flex-list/comments-flex-list.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/comments-flex-list/comments-flex-list.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/comments-flex-list/row.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/comments-flex-list/row.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/comments-flex-list/row-header.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/comments-flex-list/row-header.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/comments-flex-list/comments-flex-list.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/comments-flex-list/comments-flex-list.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/selection-list/selection-list.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/selection-list/selection-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-create-comment/need-to-do-create-comment.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-create-comment/need-to-do-create-comment.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-create-comment/need-to-do-create-comment.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-create-comment/need-to-do-create-comment.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/panel-top/panel-top.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/panel-top/panel-top.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/panel-top/panel-top.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/panel-top/panel-top.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/panel-top/panel-top.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/panel-top/panel-top.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/filter-rows/filter-rows.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/filter-rows/filter-rows.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-event-comment/need-to-do-event-comment.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-event-comment/need-to-do-event-comment.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-event-comment/need-to-do-event-comment.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-event-comment/need-to-do-event-comment.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-event-comments/need-to-do-event-comments.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-event-comments/need-to-do-event-comments.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-event-comments/need-to-do-event-comments.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-event-comments/need-to-do-event-comments.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/list/list.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/subpanel-list/subpanel-list.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/subpanel-list/subpanel-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/subpanel-list/subpanel-list.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/subpanel-list/subpanel-list.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/dupecheck-list/dupecheck-list.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/dupecheck-list/dupecheck-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/list-bottom/list-bottom.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/list-bottom/list-bottom.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/massupdate/massupdate.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/massupdate/massupdate.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/record/record.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/record/record.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-subpanel-create-comment/need-to-do-subpanel-create-comment.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-subpanel-create-comment/need-to-do-subpanel-create-comment.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-subpanel-create-comment/need-to-do-subpanel-create-comment.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/views/need-to-do-subpanel-create-comment/need-to-do-subpanel-create-comment.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/fields/image/image.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/fields/image/image.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/api/PX_NeedToDoViewerCommentsRelateCommentsApi.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/api/PX_NeedToDoViewerCommentsRelateCommentsApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/api/PX_NeedToDoViewerCommentsFilterApi.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/api/PX_NeedToDoViewerCommentsFilterApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/filters/basic/basic.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/filters/basic/basic.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/filters/default/default.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/filters/default/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/layouts/filterpanel/filterpanel.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/layouts/filterpanel/filterpanel.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/layouts/filterpanel/filterpanel.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/layouts/filterpanel/filterpanel.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/layouts/dashablelist-filter/dashablelist-filter.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/layouts/dashablelist-filter/dashablelist-filter.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/layouts/subpanel/subpanel.js',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/layouts/subpanel/subpanel.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/layouts/subpanel/subpanel.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/layouts/subpanel/subpanel.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/layouts/subpanel/subpanel.hbs',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/layouts/subpanel/subpanel.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/base/layouts/subpanels/subpanels.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/base/layouts/subpanels/subpanels.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/mobile/views/detail/detail.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/mobile/views/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/mobile/views/list/list.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/mobile/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/mobile/views/edit/edit.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/mobile/views/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/mobile/layouts/detail/detail.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/mobile/layouts/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/mobile/layouts/list/list.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/mobile/layouts/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/clients/mobile/layouts/edit/edit.php',
            'to' => 'modules/PX_NeedToDoViewerComments/clients/mobile/layouts/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/vardefs.php',
            'to' => 'modules/PX_NeedToDoViewerComments/vardefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoViewerComments/PX_NeedToDoViewerComments.php',
            'to' => 'modules/PX_NeedToDoViewerComments/PX_NeedToDoViewerComments.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/SearchFields.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/SearchFields.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/quickcreatedefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/quickcreatedefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/searchdefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/searchdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/editviewdefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/editviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/metafiles.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/metafiles.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/studio.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/studio.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/popupdefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/popupdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/detailviewdefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/detailviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/listviewdefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/listviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/subpanels/default.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/subpanels/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/dependencydefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/dependencydefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/metadata/dashletviewdefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/metadata/dashletviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/language/en_us.lang.php',
            'to' => 'modules/PX_NeedToDoEventTypes/language/en_us.lang.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/PX_NeedToDoEventTypes_sugar.php',
            'to' => 'modules/PX_NeedToDoEventTypes/PX_NeedToDoEventTypes_sugar.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/PX_NeedToDoEventTypes.php',
            'to' => 'modules/PX_NeedToDoEventTypes/PX_NeedToDoEventTypes.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/menus/header/header.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/menus/header/header.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/menus/quickcreate/quickcreate.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/menus/quickcreate/quickcreate.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist2/row.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist2/row.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist2/row-header.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist2/row-header.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist2/admin-recordlist.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist2/admin-recordlist.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist2/admin-recordlist.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist2/admin-recordlist.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/search-list/search-list.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/search-list/search-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/index-settings-content/index-settings-content.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/index-settings-content/index-settings-content.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/index-settings-content/index-settings-content.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/index-settings-content/index-settings-content.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/index-settings-content/index-settings-content.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/index-settings-content/index-settings-content.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/selection-list/selection-list.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/selection-list/selection-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/index-settings-headerpane/index-settings-headerpane.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/index-settings-headerpane/index-settings-headerpane.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/recordlist/recordlist.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/recordlist/recordlist.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/list/list.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist/admin-recordlist.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist/admin-recordlist.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist/admin-recordlist.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/admin-recordlist/admin-recordlist.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/subpanel-list/subpanel-list.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/subpanel-list/subpanel-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/create/create.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/create/create.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/dupecheck-list/dupecheck-list.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/dupecheck-list/dupecheck-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/massupdate/massupdate.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/massupdate/massupdate.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/record/record.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/record/record.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/views/record/record.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/views/record/record.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/filter/filter-row-partial-details.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/filter/filter-row-partial-details.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/filter/detail.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/filter/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/filter/filter.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/filter/filter.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/filter/edit.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/filter/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/filter/filter-row-partial.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/filter/filter-row-partial.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/users-list/detail.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/users-list/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/users-list/related-entities-list.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/users-list/related-entities-list.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/users-list/users-list.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/users-list/users-list.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/users-list/edit.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/users-list/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/int/int.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/int/int.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/horizontal-fieldset/record-detail.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/horizontal-fieldset/record-detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/horizontal-fieldset/detail.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/horizontal-fieldset/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/horizontal-fieldset/horizontal-fieldset.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/horizontal-fieldset/horizontal-fieldset.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/image/image.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/image/image.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/parent-relate-list/detail.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/parent-relate-list/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/parent-relate-list/parent-relate-list.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/parent-relate-list/parent-relate-list.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/parent-relate-list/edit.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/parent-relate-list/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/parent-relate-list/parent-relate-item.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/parent-relate-list/parent-relate-item.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/enum/enum.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/enum/enum.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/lb-template-arguments/detail.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/lb-template-arguments/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/lb-template-arguments/context-row.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/lb-template-arguments/context-row.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/lb-template-arguments/lb-template-arguments.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/lb-template-arguments/lb-template-arguments.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/lb-template-arguments/edit.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/lb-template-arguments/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/lb-missing-product-stub/lb-missing-product-stub.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/lb-missing-product-stub/lb-missing-product-stub.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/lb-missing-product-stub/lb-missing-product-stub.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/lb-missing-product-stub/lb-missing-product-stub.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/fields/rowaction/rowaction.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/fields/rowaction/rowaction.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/api/PX_IndexNeedToDoEventsApi.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/api/PX_IndexNeedToDoEventsApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/api/PX_NeedToDoEventTypesModuleApi.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/api/PX_NeedToDoEventTypesModuleApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/api/PX_NeedToDoEventTypesFileTempApi.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/api/PX_NeedToDoEventTypesFileTempApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/api/PX_NeedToDoEventTypesFilterApi.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/api/PX_NeedToDoEventTypesFilterApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/api/PX_NeedToDoEventTypesFileApi.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/api/PX_NeedToDoEventTypesFileApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/api/helper/PX_NeedToDoEventTypesDownloadFileApi.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/api/helper/PX_NeedToDoEventTypesDownloadFileApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/filters/basic/basic.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/filters/basic/basic.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/filters/default/default.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/filters/default/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/index-settings/index-settings.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/index-settings/index-settings.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/index-settings/noaccess.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/index-settings/noaccess.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/index-settings/index-settings.hbs',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/index-settings/index-settings.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/index-settings/index-settings.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/index-settings/index-settings.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/admin-filterpanel/admin-filterpanel.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/admin-filterpanel/admin-filterpanel.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/admin-filterpanel/admin-filterpanel.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/admin-filterpanel/admin-filterpanel.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/admin-list/admin-list.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/admin-list/admin-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/admin-list/admin-list.js',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/admin-list/admin-list.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/base/layouts/subpanels/subpanels.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/base/layouts/subpanels/subpanels.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/mobile/views/detail/detail.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/mobile/views/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/mobile/views/list/list.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/mobile/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/mobile/views/edit/edit.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/mobile/views/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/mobile/layouts/detail/detail.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/mobile/layouts/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/mobile/layouts/list/list.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/mobile/layouts/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/clients/mobile/layouts/edit/edit.php',
            'to' => 'modules/PX_NeedToDoEventTypes/clients/mobile/layouts/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEventTypes/vardefs.php',
            'to' => 'modules/PX_NeedToDoEventTypes/vardefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/SearchFields.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/SearchFields.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/quickcreatedefs.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/quickcreatedefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/searchdefs.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/searchdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/editviewdefs.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/editviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/metafiles.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/metafiles.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/studio.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/studio.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/popupdefs.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/popupdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/detailviewdefs.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/detailviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/listviewdefs.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/listviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/subpanels/default.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/subpanels/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/metadata/dashletviewdefs.php',
            'to' => 'modules/PX_NeedToDoEvents/metadata/dashletviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/language/en_us.lang.php',
            'to' => 'modules/PX_NeedToDoEvents/language/en_us.lang.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/PX_NeedToDoEvents.php',
            'to' => 'modules/PX_NeedToDoEvents/PX_NeedToDoEvents.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/menus/header/header.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/menus/header/header.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/menus/quickcreate/quickcreate.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/menus/quickcreate/quickcreate.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/toolbar.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/toolbar.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/need-to-do-events-dashlet.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/need-to-do-events-dashlet.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/dashlet-config.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/dashlet-config.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/need-to-do-events-dashlet.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/need-to-do-events-dashlet.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/disabled.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/disabled.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/need-to-do-events-dashlet.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-dashlet/need-to-do-events-dashlet.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/filter-filter-dropdown/result-partial.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/filter-filter-dropdown/result-partial.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/filter-filter-dropdown/filter-filter-dropdown.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/filter-filter-dropdown/filter-filter-dropdown.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/filter-filter-dropdown/selection-partial.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/filter-filter-dropdown/selection-partial.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/filter-filter-dropdown/filter-filter-dropdown.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/filter-filter-dropdown/filter-filter-dropdown.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/search-list/search-list.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/search-list/search-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/selection-list/selection-list.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/selection-list/selection-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/license-settings-content/license-settings-content.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/license-settings-content/license-settings-content.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/license-settings-content/license-settings-content.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/license-settings-content/license-settings-content.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/license-settings-content/license-settings-content.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/license-settings-content/license-settings-content.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/recordlist/recordlist.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/recordlist/recordlist.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/filter-rows/filter-rows.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/filter-rows/filter-rows.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/license-settings-headerpane/license-settings-headerpane.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/license-settings-headerpane/license-settings-headerpane.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/list/list.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/subpanel-list/subpanel-list.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/subpanel-list/subpanel-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/dupecheck-list/dupecheck-list.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/dupecheck-list/dupecheck-list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/list-bottom/list-bottom.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/list-bottom/list-bottom.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-group/need-to-do-events-group.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-group/need-to-do-events-group.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-group/need-to-do-events-group.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-group/need-to-do-events-group.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/massupdate/massupdate.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/massupdate/massupdate.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/record/record.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/record/record.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/record/record.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/record/record.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-row/need-to-do-events-row.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-row/need-to-do-events-row.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-row/need-to-do-events-row.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/views/need-to-do-events-row/need-to-do-events-row.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/px-parent/px-parent.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/px-parent/px-parent.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/px-parent/detail.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/px-parent/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/px-parent/edit.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/px-parent/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/px-parent/list.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/px-parent/list.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/px-parent/options.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/px-parent/options.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/context-relate-list/detail.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/context-relate-list/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/context-relate-list/edit.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/context-relate-list/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/context-relate-list/context-relate-list.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/context-relate-list/context-relate-list.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/notify-users-list/detail.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/notify-users-list/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/notify-users-list/edit.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/notify-users-list/edit.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/notify-users-list/notify-users-list.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/notify-users-list/notify-users-list.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/notify-users-list/notify-user.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/notify-users-list/notify-user.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/avatar/detail.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/avatar/detail.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/avatar/avatar.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/avatar/avatar.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/fields/relate/relate.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/fields/relate/relate.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsRelateCommentsApi.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsRelateCommentsApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsConfigApi.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsConfigApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsNotifyApi.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsNotifyApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsApi.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsModuleApi.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsModuleApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsFilterApi.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/api/PX_NeedToDoEventsFilterApi.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/filters/basic/basic.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/filters/basic/basic.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/filters/default/default.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/filters/default/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/filters/operators/operators.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/filters/operators/operators.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/layouts/filter-dropdown/filter-dropdown.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/layouts/filter-dropdown/filter-dropdown.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/layouts/filterpanel/filterpanel.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/layouts/filterpanel/filterpanel.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/layouts/filterpanel/filterpanel.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/layouts/filterpanel/filterpanel.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/layouts/license-settings/license-settings.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/layouts/license-settings/license-settings.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/layouts/license-settings/license-settings.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/layouts/license-settings/license-settings.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/layouts/license-settings/noaccess.hbs',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/layouts/license-settings/noaccess.hbs'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/layouts/license-settings/license-settings.js',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/layouts/license-settings/license-settings.js'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/base/layouts/dashablelist-filter/dashablelist-filter.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/base/layouts/dashablelist-filter/dashablelist-filter.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/mobile/views/detail/detail.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/mobile/views/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/mobile/views/list/list.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/mobile/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/mobile/views/edit/edit.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/mobile/views/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/mobile/layouts/detail/detail.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/mobile/layouts/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/mobile/layouts/list/list.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/mobile/layouts/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/clients/mobile/layouts/edit/edit.php',
            'to' => 'modules/PX_NeedToDoEvents/clients/mobile/layouts/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/vardefs.php',
            'to' => 'modules/PX_NeedToDoEvents/vardefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoEvents/PX_NeedToDoEvents_sugar.php',
            'to' => 'modules/PX_NeedToDoEvents/PX_NeedToDoEvents_sugar.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/SearchFields.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/SearchFields.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/quickcreatedefs.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/quickcreatedefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/searchdefs.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/searchdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/editviewdefs.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/editviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/metafiles.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/metafiles.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/studio.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/studio.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/popupdefs.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/popupdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/detailviewdefs.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/detailviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/listviewdefs.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/listviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/subpanels/default.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/subpanels/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/dependencydefs.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/dependencydefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/metadata/dashletviewdefs.php',
            'to' => 'modules/PX_NeedToDoRelates/metadata/dashletviewdefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/language/en_us.lang.php',
            'to' => 'modules/PX_NeedToDoRelates/language/en_us.lang.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/base/views/list/list.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/base/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/base/views/record/record.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/base/views/record/record.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/base/filters/default/default.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/base/filters/default/default.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/mobile/views/detail/detail.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/mobile/views/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/mobile/views/list/list.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/mobile/views/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/mobile/views/edit/edit.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/mobile/views/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/mobile/layouts/detail/detail.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/mobile/layouts/detail/detail.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/mobile/layouts/list/list.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/mobile/layouts/list/list.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/clients/mobile/layouts/edit/edit.php',
            'to' => 'modules/PX_NeedToDoRelates/clients/mobile/layouts/edit/edit.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/PX_NeedToDoRelates.php',
            'to' => 'modules/PX_NeedToDoRelates/PX_NeedToDoRelates.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/vardefs.php',
            'to' => 'modules/PX_NeedToDoRelates/vardefs.php'
        ),
        array (
            'from' => '<basepath>/src/modules/PX_NeedToDoRelates/PX_NeedToDoRelates_sugar.php',
            'to' => 'modules/PX_NeedToDoRelates/PX_NeedToDoRelates_sugar.php'
        ),
    ),
    'beans' => array(
        array(
            'module' => 'PX_NeedToDoEvents',
            'class' => 'PX_NeedToDoEvents',
            'path' => 'modules/PX_NeedToDoEvents/PX_NeedToDoEvents.php',
            'tab' => true,
        ),
        array(
            'module' => 'PX_NeedToDoEventTypes',
            'class' => 'PX_NeedToDoEventTypes',
            'path' => 'modules/PX_NeedToDoEventTypes/PX_NeedToDoEventTypes.php',
            'tab' => true,
        ),
        array(
            'module' => 'PX_NeedToDoViewerComments',
            'class' => 'PX_NeedToDoViewerComments',
            'path' => 'modules/PX_NeedToDoViewerComments/PX_NeedToDoViewerComments.php',
            'tab' => false,
        ),
        array(
            'module' => 'PX_NeedToDoRelates',
            'class' => 'PX_NeedToDoRelates',
            'path' => 'modules/PX_NeedToDoRelates/PX_NeedToDoRelates.php',
            'tab' => false,
        ),
        array(
            'module' => 'PX_NeedToDoOutfittersLicense',
            'class' => 'PX_NeedToDoOutfittersLicense',
            'path' => 'modules/PX_NeedToDoOutfittersLicense/PX_NeedToDoOutfittersLicense.php',
            'tab' => false,
        )
    ),
    'scheduledefs' => array(
        array(
            'from' => '<basepath>/src/custom/Extension/modules/Schedulers/Ext/ScheduledTasks/NtdvIndexJob.php',
        ),
    ),
    'language' => array(
        array(
            'from' => '<basepath>/src/custom/Extension/modules/Schedulers/Ext/Language/en_us.px_ntdv.php',
            'to_module' => 'Schedulers',
            'language' => 'en_us'
        ),
    ),
    'relationships' => array(
        array(
            'meta_data' => '<basepath>/src/custom/metadata/px_needtodoviewercomments_usersMetaData.php',
        ),
        array(
            'meta_data' => '<basepath>/src/custom/metadata/px_ntdv_indexing_stackMetaData.php',
        ),
        array(
            'meta_data' => '<basepath>/src/custom/metadata/px_ntdv_notify_usersMetaData.php',
        ),
        array(
            'meta_data' => '<basepath>/src/custom/metadata/px_ntdv_refresh_relations_queueMetaData.php',
        ),
        array(
            'meta_data' => '<basepath>/src/custom/metadata/px_ntdv_relates_treeMetaData.php',
        ),
    ),
    'custom_fields' => array(
        array(
            'name' => 'px_ntdv_access_c',
            'label' => 'LBL_PX_NTDV_ACCESS',
            'type' => 'int',
            'len' => 1,
            'default_value' => 0,
            'required' => false,
            'audited' => true,
            'massupdate' => false,
            'duplicate_merge' => false,
            'reportable' => true,
            'importable' => true,
            'readonly' => true,
            'ext1' => '0',
            'ext2' => '1',
            'ext3' => '',
            'module' => 'Users',
        )
    ),
    'logic_hooks' => array(
        array(
            'module' => '',
            'hook' => 'before_save',
            'order' => -1000,
            'description' => 'Need To Do Viewer: process events before save.',
            'file' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PxNtdvGlobalLogicHooks.php',
            'class' => 'PxNtdvGlobalLogicHooks',
            'function' => 'firstBeforeSave',
        ),
        array(
            'module' => '',
            'hook' => 'after_save',
            'order' => 1000,
            'description' => 'Need To Do Viewer: process events after save.',
            'file' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PxNtdvGlobalLogicHooks.php',
            'class' => 'PxNtdvGlobalLogicHooks',
            'function' => 'lastAfterSave',
        ),
        array(
            'module' => '',
            'hook' => 'before_relationship_add',
            'order' => -1000,
            'description' => 'Need To Do Viewer: relink events after relationship add.',
            'file' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PxNtdvGlobalLogicHooks.php',
            'class' => 'PxNtdvGlobalLogicHooks',
            'function' => 'firstBeforeRelationshipAdd',
        ),
        array(
            'module' => '',
            'hook' => 'after_relationship_add',
            'order' => 1000,
            'description' => 'Need To Do Viewer: relink events after relationship add.',
            'file' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PxNtdvGlobalLogicHooks.php',
            'class' => 'PxNtdvGlobalLogicHooks',
            'function' => 'firstAfterRelationshipAdd',
        ),
        array(
            'module' => '',
            'hook' => 'before_relationship_delete',
            'order' => -1000,
            'description' => 'Need To Do Viewer: relink events after relationship add.',
            'file' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PxNtdvGlobalLogicHooks.php',
            'class' => 'PxNtdvGlobalLogicHooks',
            'function' => 'firstBeforeRelationshipDelete',
        ),
        array(
            'module' => '',
            'hook' => 'after_relationship_delete',
            'order' => 1000,
            'description' => 'Need To Do Viewer: relink events after relationship add.',
            'file' => 'custom/PxRoutines/NeedToDoViewer/Hooks/PxNtdvGlobalLogicHooks.php',
            'class' => 'PxNtdvGlobalLogicHooks',
            'function' => 'firstAfterRelationshipDelete',
        ),
    ),
    'post_uninstall' => array(
        '<basepath>/scripts/post_uninstall_actions.php',
    )
);