<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\PX_NeedToDoViewerComments\Helpers\Notification\Events;

class MentionedEvent extends Event
{

    protected $eventPriority = 300;

    public function __construct($commentEntity)
    {
        parent::__construct($commentEntity);
    }

    public function init()
    {
        parent::init();
        $this->defineLanguageKey();
    }

    protected function defineLanguageKey()
    {
        if ($this->commentEntity->isReply()) {
            $this->langKey = 'WAS_MENTIONED_IN_REPLY';
        } else
            $this->langKey = 'WAS_MENTIONED_IN_COMMENT';
    }

    public function defineRecipientIds()
    {
        $conversationParticipants = $this->commentEntity->getConversationParticipants();
        foreach($conversationParticipants->getMentionedUsersIds() as $userId){
            $this->recipientIds[$userId] = $userId;
        }

    }

}