<?php

$mod_strings = array(
    'LBL_TEAM' => 'Teams',
    'LBL_TEAMS' => 'Teams',
    'LBL_TEAM_ID' => 'Team Id',
    'LBL_ASSIGNED_TO_ID' => 'Assigned User Id',
    'LBL_ASSIGNED_TO_NAME' => 'Assigned to',
    'LBL_TAGS_LINK' => 'Tags',
    'LBL_TAGS' => 'Tags',
    'LBL_ID' => 'ID',
    'LBL_DATE_ENTERED' => 'Date Created',
    'LBL_DATE_MODIFIED' => 'Date Modified',
    'LBL_MODIFIED' => 'Modified By',
    'LBL_MODIFIED_ID' => 'Modified By Id',
    'LBL_MODIFIED_NAME' => 'Modified By Name',
    'LBL_CREATED' => 'Created By',
    'LBL_CREATED_ID' => 'Created By Id',
    'LBL_DOC_OWNER' => 'Document Owner',
    'LBL_USER_FAVORITES' => 'Users Who Favorite',
    'LBL_DESCRIPTION' => 'Description',
    'LBL_DELETED' => 'Deleted',
    'LBL_NAME' => 'Name',
    'LBL_CREATED_USER' => 'Created by User',
    'LBL_MODIFIED_USER' => 'Modified by User',
    'LBL_LIST_NAME' => 'Name',
    'LBL_EDIT_BUTTON' => 'Edit',
    'LBL_REMOVE' => 'Remove',
    'LBL_EXPORT_MODIFIED_BY_NAME' => 'Modified By Name',
    'LBL_LIST_FORM_TITLE' => 'Need To Do Event Types List',
    'LBL_MODULE_NAME' => 'Need To Do Event Types',
    'LBL_MODULE_TITLE' => 'Need To Do Event Types',
    'LBL_MODULE_NAME_SINGULAR' => 'Need To Do Event Type',
    'LBL_HOMEPAGE_TITLE' => 'My Need To Do Event Types',
    'LNK_NEW_RECORD' => 'Create Need To Do Event Type',
    'LNK_LIST' => 'View Need To Do Event Types',
    'LNK_IMPORT_PX_NEEDTODOEVENTTYPES' => 'Import Need To Do Event Types',
    'LBL_SEARCH_FORM_TITLE' => 'Search Need To Do Event Type',
    'LBL_HISTORY_SUBPANEL_TITLE' => 'View History',
    'LBL_ACTIVITIES_SUBPANEL_TITLE' => 'Activity Stream',
    'LBL_PX_NEEDTODOEVENTTYPES_SUBPANEL_TITLE' => 'Need To Do Event Types',
    'LBL_NEW_FORM_TITLE' => 'New Need To Do Event Type',
    'LNK_IMPORT_VCARD' => 'Import Need To Do Event Type vCard',
    'LBL_IMPORT' => 'Import Need To Do Event Types',
    'LBL_IMPORT_VCARDTEXT' => 'Automatically create a new Need To Do Event Type record by importing a vCard from your file system.',
    'LBL_ICON_FILE' => 'Icon',
    'LBL_TARGET_MODULE' => 'Object Module',
    'LBL_TARGET_ATTRIBUTE_NAME' => 'Object Attribute Name',
    'LBL_TARGET_ENTITY_FILTER' => 'Object Records Filter',
    'LBL_TARGET_ENTITY_PARENT_LIST' => 'Targets',
    'LBL_TARGET_LABEL' => 'Label',
    'LBL_TARGET_LINK' => 'Link Name',
    'LBL_PARENT_LINK_LABEL' => 'Link Label',
    'LBL_PARENT_LINK_NAME' => 'Link Name',
    'LBL_LB_TEMPLATE' => 'Template LINK',
    'LBL_LB_TEMPLATE_ID' => 'Template ID',
    'LBL_LB_TEMPLATE_NAME' => 'Template Name',
    'LBL_LB_TEMPLATE_ARGUMENTS' => 'Template Arguments',
    'LBL_TPL_TEMPLATE_KEY' => 'Template Key',
    'LBL_TPL_FIELD_NAME' => 'Field Name',
    'LBL_NOTIFICATION_CONFIG' => 'Notification',
    'LBL_NOTIFY_IF_OVERDUE' => 'Notify If Overdue',
    'LBL_NOTIFY_BEFOREHAND' => 'Notify Beforehand',
    'LBL_NOTIFY_BEFOREHAND_DURATION' => 'Notify In',
    'LBL_NOTIFY_BEFOREHAND_IN' => 'Notify In',
    'LBL_NOTIFY_ASSIGNED_USER' => 'Notify Assigned User of the Object Record',
    'LBL_NOTIFY_USERS' => 'Notify Users',
    'LBL_ADDITIONAL_INFO' => 'Additional Info',
    'LBL_LIFETIME_UNITS' => 'Lifetime Units',
    'LBL_LIFETIME_DURATION' => 'Lifetime Duration',
    'LBL_LIFETIME_CONFIG' => 'Lifetime Config',
    'LBL_LAST_PROCESSED_DATE' => 'Date Of The Last Indexation',
    'LBL_NOTIFY_BEFOREHAND_UNITS' => 'Notify Beforehand Units',
    'LBL_TARGET_ATTRIBUTE_TYPE' => 'Target Attribute Type',
    'LBL_EVENTS' => 'Events',

    //Helpers for Record View
    'LBL_INDEX_BUTTON_LABEL' => 'Index',
    'LBL_ENTITY_PARENT_ITEM_TPL' => '%LINK_LABEL%',
    'LBL_ENTITY_PARENT_ITEM_TPL_LINK' => '%LINK_LABEL% (link %LINK_NAME%)',
    'LBL_ENTITY_PARENT_ITEM_TPL_MODULE' => '%LINK_LABEL% (related %RELATED_MODULE_NAME%)',
    'LBL_ENTITY_PARENT_ITEM_TPL_LINK_AND_MODULE' => '%LINK_LABEL% (link %LINK_NAME% for module %RELATED_MODULE_NAME%)',

//  Administration: Index settings
    'LBL_INDEX_SETTINGS_TITLE' => 'Indexing Settings',
    'LBL_MASS_INDEX' => 'Mass Index',
    'LBL_INDEX' => 'Index',
    'LBL_NO_ACCESS_TO_LICENSE_COBFIGURATION' => 'No access to license configuration',
    'LBL_LICENSE_CONFIGURATION_HEADER_PANE' => 'Configure Token',
    'LBL_LICENSE_INFORMATION_HEADER_PANE' => 'Review Details',
    'LBL_LICENSE_INFO_STATUS' => 'Status',
    'LBL_LICENSE_INFO_STATUS_VALID' => 'Valid',
    'LBL_LICENSE_INFO_STATUS_INVALID' => 'Invalid',
    'LBL_LICENSE_INFO_TYPE' => 'Type',
    'LBL_LICENSE_INFO_DEMO_TYPE' => 'Demo',
    'LBL_LICENSE_INFO_STANDARD_TYPE' => 'Standard',
    'LBL_LICENSE_INFO_EXPIRY_DATE' => 'Expiry Date',
    'LBL_LICENSE_INFO_USERS_LIMIT' => 'Users Limit',
    'LBL_LICENSE_INFO_VERSION' => 'Version',
    'LBL_LICENSE_TOKEN_SUCCESSFULLY_SAVED' => 'License Token was saved',

    'LBL_LICENSE_TOKEN' => 'License Token',
    'ERROR_NTDV_INVALID_LICENSE' => 'Need To Do Viewer Product. Invalid license.',
    'ERROR_NTDV_INVALID_LICENSE_DESC' => '',
    'ERROR_NTDV_INVALID_LICENSE_GENERAL' => 'License is invalid for Need To Do Viewer Product.',
    'ERROR_NTDV_INVALID_LICENSE_CURRENT_USER' => 'You do not have permission to access Need To Do Viewer Plugin. Please contact your Sugar Administrator.',
    'ERROR_LICENSE_TYPE_INVALID' => 'License type is invalid.',
    'ERROR_LICENSE_INVALID_SSH_PUBLIC_KEY' => 'License public key is empty. Please, contact technical support.',
    'ERROR_LICENSE_EMPTY_TOKEN' => 'License token is empty.',
    'ERROR_LICENSE_TOKEN_PARSE_FAILURE' => 'License token parse failed. Please, verify your token.',
    'ERROR_INVALID_LICENSE_TOKEN' => 'License token is invalid.',
    'ERROR_LICENSE_INSTANCE_KEY_INVALID' => 'License instance key doesn\'t match current Sugar Unique Key.',
    'ERROR_LICENSE_LIFETIME_UNITS_INVALID' => 'License Expiry date is invalid.',
    'ERROR_LICENSE_LIFETIME_DURATION_INVALID' => 'License Expiry date is invalid.',
    'ERROR_LICENSE_TOKEN_EXPIRED' => 'License token is expired.',
    'ERROR_LICENSE_MAX_USERS_LIMIT_EXCEEDED' => 'Maximum users amount exceeded for Need To Do Viewer Plugin.',
    'ERROR_NTDV_LICENSE_TYPE_NOT_FOUND' => 'License Type is not defined.',

    'LBL_INDEXATION_CONFIRMATION' => 'You initiated index procedure. Do you want to proceed?',
    'LBL_INDEXATION_ERROR' => 'Indexation is failed!',
    'LBL_INDEXATION_SUCCESSFUL' => 'Indexation is completed!',
    'LBL_UPDATE_CONFIRMATION' => 'Critical attributes have been changed. All old events will be deleted. Do you want to proceed?',

    'LBL_QUICK_ACTIONS' => 'Quick Actions',
);