<?php

$dependencies['PX_NeedToDoEventTypes']['hide_notify_beforehand'] = array(
    'hooks' => array("edit"),
    'trigger' => 'true',
    'triggerFields' => array('notify_beforehand'),
    'onload' => true,
    'actions' => array(
        array(
            'name' => 'ReadOnly',
            'params' => array(
                'target' => 'notify_beforehand_in',
                'value' => 'equal($notify_beforehand, false)',
            ),
        ),
    ),
);
$dependencies['PX_NeedToDoEventTypes']['hide_lifetime_duration'] = array(
    'hooks' => array("edit"),
    'trigger' => 'true',
    'triggerFields' => array('lifetime_units'),
    'onload' => true,
    'actions' => array(
        array(
            'name' => 'SetVisibility',
            'params' => array(
                'target' => 'lifetime_duration',
                'value' => 'not(equal($lifetime_units, "Never"))',
            ),
        ),
    ),
);
$dependencies['PX_NeedToDoEventTypes']['hide_notify_users_list'] = array(
    'hooks' => array("edit"),
    'trigger' => 'true',
    'triggerFields' => array('notify_if_overdue', 'notify_beforehand'),
    'onload' => true,
    'actions' => array(
        array(
            'name' => 'ReadOnly',
            'params' => array(
                'target' => 'notify_users',
                'value' => 'and(equal($notify_beforehand, false), equal($notify_if_overdue, false))',
            ),
        ),
        array(
            'name' => 'ReadOnly',
            'params' => array(
                'target' => 'notify_assigned_user',
                'value' => 'and(equal($notify_beforehand, false), equal($notify_if_overdue, false))',
            ),
        ),
    ),
);
